package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodMealServiceArea;
import com.jeesharp.business.modules.food.vo.FoodMealServiceAreaQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;
import java.util.Map;

public interface FoodMealServiceAreaService extends BaseInterface<FoodMealServiceArea, FoodMealServiceAreaQueryVO> {

    List<FoodMealServiceArea> listOnline();

    FoodMealServiceArea getOnline(String id);

    void createArea(FoodMealServiceArea entity);

    void updateArea(FoodMealServiceArea entity);

    Map<String, String> mapAreaNameByIds(List<String> ids);

    List<String> findIdsByNameLike(String name);
}
